Bug 719908 - Review Request: rubygem-multi_json - A gem to provide swappable JSON backends
Review Request: rubygem-multi_json - A gem to provide swappable JSON backends
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
: 738721 (view as bug list)
Depends On:
Blocks: 738744
  Show dependency treegraph
 
Reported: 2011-07-08 07:25 EDT by Vít Ondruch
Modified: 2012-01-30 03:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-14 11:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2011-07-08 07:25:25 EDT
Spec URL: http://people.redhat.com/vondruch/rubygem-multi_json.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-multi_json-1.0.3-1.fc16.src.rpm
Description: A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem, JSON pure, or a vendored version of okjson.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3186344
Comment 1 Vít Ondruch 2011-09-21 02:05:57 EDT
*** Bug 738721 has been marked as a duplicate of this bug. ***
Comment 2 Bohuslav "Slavek" Kabrda 2011-10-21 04:55:55 EDT
I'm taking this one.
Comment 3 Bohuslav "Slavek" Kabrda 2011-10-21 05:22:58 EDT
- I'm not sure whether marking %{geminstdir}/Rakefile as %doc is appropriate. In my opinion, Rakefile is not documentation (although it is not needed for runtime and should stay in the documentation subpackage).
- Okjson (the fallback json engine for multi_json) seems to be bundled from https://github.com/kr/okjson, but the author of okjson says that his library is meant for vendoring. I think that unbundling okjson wouldn't make much sense in this case (therefore I don't suggest any change to your specfile, I just think it's worth mentioning here) - what is your opinion on this matter? I'd like to make this clear before I approve your package.
Comment 4 Vít Ondruch 2011-10-21 09:42:29 EDT
(In reply to comment #3)
> - I'm not sure whether marking %{geminstdir}/Rakefile as %doc is appropriate.
> In my opinion, Rakefile is not documentation (although it is not needed for
> runtime and should stay in the documentation subpackage).

You are right. Fixed.

> - Okjson (the fallback json engine for multi_json) seems to be bundled from
> https://github.com/kr/okjson, but the author of okjson says that his library is
> meant for vendoring. I think that unbundling okjson wouldn't make much sense in
> this case (therefore I don't suggest any change to your specfile, I just think
> it's worth mentioning here) - what is your opinion on this matter? I'd like to
> make this clear before I approve your package.

Sorry, I did not noticed :( This is my opinion: 

https://github.com/kr/okjson/issues/2
https://github.com/intridea/multi_json/issues/30
Comment 5 Vít Ondruch 2011-10-24 08:17:40 EDT
Unfortunately authors of both, multi_json and OkJson are pretty happy with the state of matter, therefore I am asking FPC for exception for OkJson as a copy lib [1]. Lets see what will follow ...

[1] https://fedorahosted.org/fpc/ticket/113
Comment 6 Vít Ondruch 2011-11-11 09:28:44 EST
Great, the OkJson was granted exception for bundling.

So here are the latest packages, which reflect your comments:

Spec URL: http://people.redhat.com/vondruch/rubygem-multi_json.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-multi_json-1.0.3-2.fcf17.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3507536
Comment 7 Bohuslav "Slavek" Kabrda 2011-11-14 02:02:25 EST
Everything looks fine now, package is APPROVED.
Comment 8 Vít Ondruch 2011-11-14 04:35:12 EST
New Package SCM Request
=======================
Package Name: rubygem-multi_json
Short Description: A gem to provide swappable JSON backends
Owners: vondruch
Branches: 
InitialCC:
Comment 9 Jon Ciesla 2011-11-14 10:46:47 EST
Git done (by process-git-requests).
Comment 10 Michael Stahnke 2012-01-30 00:18:43 EST
Did this make it into F16?
Comment 11 Vít Ondruch 2012-01-30 03:34:58 EST
(In reply to comment #10)
> Did this make it into F16?

No. I am not pushing new packages into older releases without reasons. Do you like it in F16?

Note You need to log in before you can comment on or make changes to this bug.